<?php

/**
 * CelebrioNews default
 *
 * @copyright  Copyright (c) 2011 Celebrio Software
 * @package    CelebrioNews
 */

namespace GamesModule;

use Application\BasePresenter;

/**
 * @author Petr
 */
class DefaultPresenter extends BasePresenter {
    
    private $gm;

    public function beforeRender() {
        parent::beforeRender();
        $this->gm = new GameManager();
        $this->getTemplate()->desktop = true;
        $this->getTemplate()->app_name = "Games";
        $this->getTemplate()->manifest = "apps/games/games.appcache";
    }

    /**
     * Renders the main news menu, containing the news categories
     * 
     * @return void
     */
    public function renderDefault() {
        $this->getTemplate()->title = "Hry";
        $this->getTemplate()->games = $this->gm->getGames();
        $this->getTemplate()->menuWidth = \Celebrio\Menu::width($this->getTemplate()->games );
    }
    
    public function renderGame($game) {
        $g = $this->gm->getGameByName($game);
        $this->template->game = $g;
        $this->template->title = $g->getTitle();
        $this->template->back = $this->link("Default:default");
    }
}