<?php

/**
 * Celebrio GoogleNews
 *
 * @copyright  Copyright (c) 2011 Celebrio Software
 * @package    GoogleAPI
 */

namespace NewsModule;

class IdnesNewsReader extends NewsReaderBase implements INewsReader {

    public function __construct() {
        parent::__construct();
        $this->key = "idnes";
        $this->logo = "idnes.png";

        $this->supportedCountryCodes = array(
            "cs", "sk"
        );

        $this->query_base = "http://servis.idnes.cz/rss.aspx";
        $this->query_postfix = "&img=1";

        $this->categories['czech'] = array(
            "url" => "?c=domaci",
        );
        $this->categories['world'] = array(
            "url" => "?c=zahranicni",
        );
        $this->categories['entertainment'] = array(
            "url" => "?c=kultura",
        );
        $this->categories['sports'] = array(
            "url" => "?c=sport",
        );

    }
    


    protected function getImages($item) {
        $pictures = array();
        $picture = $this->getMainImage($item);
        if($picture != null) {
            $pictures[] = array(
                "link" => $picture,
                "title" => ""
            );
        }

        return $pictures;
    }

    protected function getMainImage($item) {
        $picture = null;

        $enclosures = $item->get_enclosures();

        if(!empty($enclosures)) {
            $pict = $item->get_enclosures();
            $picture = $pict[0]->get_link();

        }
        return $picture;
    }



    protected function getContent($item) {
        return $item->get_content();
    }

}