<?php

use Nette\Application\Routers\Route;
use Nette\Application\Routers\RouteList;

// Load Nette Framework or autoloader generated by Composer
require __DIR__ . '/../libs/autoload.php';

// Configure application
$configurator = new Nette\Config\Configurator;

// Enable Nette Debugger for error visualisation & logging
//$configurator->setDebugMode(TRUE);
$configurator->enableDebugger(__DIR__ . '/../log');

// Enable RobotLoader - this will load all classes automatically
$configurator->setTempDirectory(__DIR__ . '/../temp');
$configurator->createRobotLoader()
        ->addDirectory(__DIR__)
        ->addDirectory(__DIR__. '/../libs/Celebrio')
        ->register();

// Create Dependency Injection container from config.neon file
$configurator->addConfig(__DIR__ . '/config.neon');
$container = $configurator->createContainer();

$container->router[] = new Route('', 'Main:Default:default');
$container->router[] = new Route('offline', 'Main:Default:offline');
$container->router[] = $newsRouter = new RouteList('News');
$newsRouter[] = new Route('news/<action>', 'Default:default');

$container->router[] = $galleryRouter = new RouteList('Games');
$galleryRouter[] = new Route('games/<action>[/<game>]', 'Default:default');

return $container;