(function($) {
    var loaderObject;
    celebrioLoader = function(name, image) {

        this.name = name;
        this.image = image;

        this.layOut = function() {
            $("#apploading").css({
                top: $(window).height() / 2 - $("#apploading img").height() / 2,
                left: (($(window).width() - $("#apploading").width()) / 2)
            });

            $("#stableloading").css({
                top: $(window).height() / 2 - $("#stableloading img").height() / 2,
                left: (($(window).width() - $("#stableloading").width()) / 2)
            });
        };

        this.create = function() {
            $("body").prepend("<div id='dummy_layout'></div>");
            spinner = "images/loader/spinner.png";

            $("#dummy_layout").append("<div id='loader'>" + "<div id='apploading'>" + "<img src='" + spinner + "'>" + "</div>" + "<div id='stableloading'>" + "<img src='" + this.image + "'>" + "</div>" + "</div>");
            $("#dummy_layout").append("<div id='overlay'></div>");

            $("#loader").css({
                visibility: "hidden",
                overflow: "hidden"
            });

            $("#overlay").css({
                position: "absolute",
                top: 0,
                width: $(window).width(),
                height: $(window).height(),
                zIndex: 1999,
                background: 'none repeat scroll 0 0 rgba(51, 51, 51, 0.8)',
                overflow: "hidden"
            });

            $(window).resize(function() {

                $("#overlay").height($(window).height());
                $("#overlay").width($(window).width());

                var items = $("#stableloading").add($("#apploading"));

                $.each(items, function() {
                    $(this).css({
                        top: ($(window).height() - $(this).height()) / 2,
                        left: (($(window).width() - $(this).width()) / 2),
                        overflow: "hidden"
                    });
                });
            });

            $("#apploading").css({
                position: "absolute",
                zIndex: 10000
            });

            $("#stableloading").css({
                position: "absolute",
                zIndex: 10000
            });

            $("#dummy_layout").bind('dragstart', function(event) {
                event.preventDefault();
            });

            counter = 0;
            refreshIntervalId = this.start();
        };

        this.refresh = function() {
            $("#overlay").css({
                width: $(window).width(),
                height: $(window).height()
            });
        };

        this.remove = function() {
            this.stop();
            $("#dummy_layout").fadeOut("slow");
            setTimeout(function() {
                $("#dummy_layout").remove();
            }, 600);
        };

        this.rotate = function() {
            //console.log("rotuju");
            loaderObject.layOut();

            $("#apploading img").css({
                'transform': 'rotate(' + counter + 'deg)',
                '-moz-transform': 'rotate(' + counter + 'deg)',
                //in new jQuery 1.7.0, this attribute should be -ms-transform
                'ms-transform': 'rotate(' + counter + 'deg)',
                '-webkit-transform': 'rotate(' + counter + 'deg)'
            });
            counter = (counter + 3) % 360;
        };

        this.start = function() {
            $("#dummy_layout").show();
            loaderObject = this;
            this.layOut();
            setTimeout(function() {
                if (this.headerFooter)
                    $("#loader").fadeIn("slow");
                else
                    $("#loader").css("visibility", "visible");
            }, 100);
            return setInterval(this.rotate, 30);
        };

        this.stop = function() {
            clearInterval(refreshIntervalId);
            $("#dummy_layout").hide();
        };
    };
})(jQuery);